Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.xensource.xenapi
Enum Types.VbdOperations

    java.lang.Object
      java.lang.Enum<Types.VbdOperations>
          com.xensource.xenapi.Types.VbdOperations

All Implemented Interfaces:
  Serializable, Comparable<Types.VbdOperations>

Enclosing class:
  Types

    public static enum Types.VbdOperations

extends Enum<Types.VbdOperations>

Enum Constant Summary
`ATTACH` Attempting to attach this VBD to a VM
`EJECT` Attempting to eject the media from this VBD
`INSERT` Attempting to insert new media into this VBD
`PAUSE` Attempting to pause a block device backend
`PLUG` Attempting to hotplug this VBD
`UNPAUSE` Attempting to unpause a block device backend
`UNPLUG` Attempting to hot unplug this VBD
`UNPLUG_FORCE` Attempting to forcibly unplug this VBD
`UNRECOGNIZED` The value does not belong to this enumeration

Method Summary
`String` | `toString()`
`static Types.VbdOperations` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.VbdOperations[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Types.VbdOperations UNRECOGNIZED

  The value does not belong to this enumeration

### ATTACH

    public static final Types.VbdOperations ATTACH

  Attempting to attach this VBD to a VM

### EJECT

    public static final Types.VbdOperations EJECT

  Attempting to eject the media from this VBD

### INSERT

    public static final Types.VbdOperations INSERT

  Attempting to insert new media into this VBD

### PLUG

    public static final Types.VbdOperations PLUG

  Attempting to hotplug this VBD

### UNPLUG

    public static final Types.VbdOperations UNPLUG

  Attempting to hot unplug this VBD

### UNPLUG_FORCE

    public static final Types.VbdOperations UNPLUG_FORCE

  Attempting to forcibly unplug this VBD

### PAUSE

    public static final Types.VbdOperations PAUSE

  Attempting to pause a block device backend

### UNPAUSE

    public static final Types.VbdOperations UNPAUSE

  Attempting to unpause a block device backend

Method Detail

### values

    public static Types.VbdOperations[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Types.VbdOperations c : Types.VbdOperations.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Types.VbdOperations valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Types.VbdOperations>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD